Bug 44600 - init-script succeeds always
init-script succeeds always
Status: CLOSED CURRENTRELEASE
Product: Red Hat Raw Hide
Classification: Retired
Component: anacron (Show other bugs)
1.0
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Jens Petersen
Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-06-14 13:03 EDT by Enrico Scholz
Modified: 2007-04-18 12:33 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-04-21 13:52:44 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Enrico Scholz 2001-06-14 13:03:55 EDT
Description of Problem:

/etc/init.d/anacron returns always with an errorcode indicating success --
even on failed actions.

This can be cured by replacing the last line

| exit 0

with

| exit $?



How Reproducible:

everytime

Steps to Reproduce:
1. service anacron stop ## I know -- this makes no sense, anacron is not a
service really...
2. service anacron status && echo 'This should not happen'  || echo 'OK'


Actual Results:

anacron dead but subsys locked
This should not happen


Expected Results:

anacron dead but subsys locked
OK


Additional Information:

$ rpm -q anacron
anacron-2.3-16
Comment 1 Jens Petersen 2003-07-09 22:58:25 EDT
This seems to have been fixed for some time.
Comment 2 Jens Petersen 2003-07-10 03:42:34 EDT
Ok, I get it now.

Should be fixed in anacron-2.3-29, thanks.
Comment 3 Miloslav Trmac 2004-04-21 13:52:44 EDT
Confirmed in FC1.

Note You need to log in before you can comment on or make changes to this bug.